Bug 1566224 - The gs_init file has lost its %config marker
Summary: The gs_init file has lost its %config marker
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: ghostscript
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Kaspar [Dee'Kej]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-11 19:50 UTC by Göran Uddeborg
Modified: 2018-05-02 10:45 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-17 10:36:15 UTC
Type: Bug


Attachments (Terms of Use)

Description Göran Uddeborg 2018-04-11 19:50:21 UTC
Description of problem:
The file …/Resource/Init/gs_init.ps was up to F27 marked as a configuration file in the RPM packaging.  In F28 it isn't so any longer.  Unless I have missed something, it is still where I'm supposed to make adjustments, like setting default paper size to A4.  Therefore it still ought to be marked as such so it won't get lost on upgrades.


Version-Release number of selected component (if applicable):
libgs-9.23-1.fc28.x86_64


Steps to Reproduce:
1. Install libgs
2. Remove the comment marker from the "/DEFAULPAPERSIZE (a4) def" line
3. rpm -V libgs


Actual results:
S.5....T.    /usr/share/ghostscript/Resource/Init/gs_init.ps


Expected results:
S.5....T.  c /usr/share/ghostscript/Resource/Init/gs_init.ps


Additional info:
The ghostscript packaging apparently was restructured a bit for F28.  Perhaps this marking was accidentally lost in the process?

Comment 1 David Kaspar [Dee'Kej] 2018-04-13 09:05:00 UTC
Thanks for the report. :) It's possible this got lost during the cleanup there. I'll look into it. ;)

Comment 2 David Kaspar [Dee'Kej] 2018-04-17 10:36:15 UTC
I have checked with upstream about this issue, so here's the sum up:

 * …/Resource/Init/gs_init.ps is not supposed to be edit at all - it is not supported by upstream (requires certain level of PS knowledge to be able to edit this)

 * …/Resource/Init/gs_init.ps gets updated during every rebase of Ghostscript, and the file is tied with version of Ghostscript. Having this file marked as config file could result in Ghostscript not being able to start if user made some (even small) change to it

 * you can easily change the paper size via command line option to Ghostscript:
   -sPAPERSIZE=a4

 * if you need this permanent, you can put this into your personal ~/.bashrc file:
   export GS_OPTIONS=-sPAPERSZIE=a4

 * another possibility to change this (system-wide) if needed is utilizing the libpaper (Ghostscript in F28 now supports it). The default system-wide paper configuration is now stored in: /etc/papersize

 * to display current default system-wide paper size, use command: paperconf
 * to change current default system-wide paper size, use command: paperconfig
 * you can also edit this directly in /etc/papersize, but I do not advise it
 * more info about the paper sizes for libpaper: man 5 papersize

I hope this has answered your possible questions. :)

Best regards,

 -- Dee'Kej --

Comment 3 Göran Uddeborg 2018-04-29 21:47:09 UTC
You sure did clear out things.  I wasn't aware ghostscript honours papersize, but some small experiments confirms it does.  That is better than having to edit a config file specific for ghostscript.  (You probably want a system-wide "fix" for this everywhere outside the USA.)

Sorry for the delay in replying.

Comment 4 David Kaspar [Dee'Kej] 2018-04-30 15:02:58 UTC
(In reply to Göran Uddeborg from comment #3)
> (You probably want a system-wide "fix" for this everywhere outside the USA.)

What do you mean by that? :) I'm not sure I follow you.

Comment 5 Göran Uddeborg 2018-05-01 08:41:15 UTC
I just meant it would make sense to do the setting system wide.  It shouldn't be necessary for each and every user to it in his or her personal .bashrc or similar.

So just a side note, nothing important.  It doesn't affect the resolution of the bugzilla or anything.

Comment 6 David Kaspar [Dee'Kej] 2018-05-02 10:45:41 UTC
(In reply to Göran Uddeborg from comment #5)
> I just meant it would make sense to do the setting system wide.  It
> shouldn't be necessary for each and every user to it in his or her personal
> .bashrc or similar.
> 
> So just a side note, nothing important.  It doesn't affect the resolution of
> the bugzilla or anything.

Ah, OK. :) We were actually discussing this with the maintainer of the libpaper. We might create a system-wide change for it for F29, but nothing's certain yet. :)


Note You need to log in before you can comment on or make changes to this bug.